io.vertx.rxjava.ext.shell.io

## Class Tty

- java.lang.Object
- - io.vertx.rxjava.ext.shell.io.Tty

- Direct Known Subclasses:
    CommandProcess

      public class Tty
      extends Object

  Provide interactions with the Shell TTY.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tty(Tty delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tty` | `eventHandler(EventType eventType, Handler<Void> handler)` Set an event handler to be notified by Shell events.
    `Object` | `getDelegate()`
    `int` | `height()`
    `static Tty` | `newInstance(Tty arg)`
    `Tty` | `setStdin(Handler<String> stdin)` Set an handler the standard input to read the data in String format.
    `Tty` | `setStdin(Stream stdin)` Set a stream on the standard input to read the data.
    `Stream` | `stdout()`
    `int` | `width()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tty

          public Tty(Tty delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### width

          public int width()

      Returns:
        the current width, i.e the number of rows or if unknown

    - #### height

          public int height()

      Returns:
        the current height, i.e the number of columns or if unknown

    - #### setStdin

          public Tty setStdin(Stream stdin)

      Set a stream on the standard input to read the data.
      Parameters:
        `stdin` - the standard input
      Returns:
        this object

    - #### setStdin

          public Tty setStdin(Handler<String> stdin)

      Set an handler the standard input to read the data in String format.
      Parameters:
        `stdin` - the standard input
      Returns:
        this object

    - #### stdout

          public Stream stdout()

      Returns:
        the standard output for emitting data

    - #### eventHandler

          public Tty eventHandler(EventType eventType,
                                  Handler<Void> handler)

      Set an event handler to be notified by Shell events.
      Parameters:
        `eventType` - the event type
        `handler` -
      Returns:

    - #### newInstance

          public static Tty newInstance(Tty arg)

Copyright © 2015. All rights reserved.